Loading...
Searching...
No Matches
structured_aa.hpp File Reference

Provides the composite of aminoacid with structure alphabets. More...

`#include <seqan3/alphabet/aminoacid/aa27.hpp>`
`#include <seqan3/alphabet/composite/alphabet_tuple_base.hpp>`
`#include <seqan3/alphabet/concept.hpp>`
`#include <seqan3/alphabet/structure/dssp9.hpp>`
Include dependency graph for structured_aa.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::structured_aa< sequence_alphabet_t, structure_alphabet_t >
| A seqan3::alphabet_tuple_base that joins an aminoacid alphabet with a protein structure alphabet. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Detailed Description

Provides the composite of aminoacid with structure alphabets.

Author
  Joerg Winkler <j.winkler AT fu-berlin.de>

Hide me